﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.ServiceModel.Channels;
using System.ServiceModel.Dispatcher;
using System.Diagnostics;

namespace CommonContracts
{
    [ServiceContract(Namespace ="mm", Name ="addworker",  ConfigurationName = "add")]
    public interface IAddCompute
    {
        [OperationContract(Action ="add",Name ="add_opr",ReplyAction ="addreturn")]
        [return:MessageParameter(Name ="result")]
        int Add([MessageParameter(Name = "n1")]int x, [MessageParameter(Name = "n2")]int y);
    }

    [ServiceContract(Namespace = "mm",Name ="subworker", ConfigurationName = "sub")]
    public interface ISubCompute
    {
        [OperationContract(Name ="sub_opr", Action ="sub",ReplyAction ="subreturn")]
        [return: MessageParameter(Name = "result")]
        int Sub([MessageParameter(Name = "n1")]int x, [MessageParameter(Name = "n2")]int y);
    }

    
}
