﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ServiceModel;

namespace DemoClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ChannelFactory<CommonContracts.IAddCompute> fac1 = new ChannelFactory<CommonContracts.IAddCompute>("epadd"))
            using (ChannelFactory<CommonContracts.ISubCompute> fac2 = new ChannelFactory<CommonContracts.ISubCompute>("epsub"))
            {
                CommonContracts.IAddCompute channel1 = fac1.CreateChannel();
                CommonContracts.ISubCompute channel2 = fac2.CreateChannel();
                int r1 = channel1.Add(1, 5);
                int r2 = channel2.Sub(9, 6);
                Console.WriteLine($"结果1：{r1}\n结果2：{r2}");

                Console.Read();
            }
        }
    }
}
