﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ServiceModel;

namespace DemoServer
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ServiceHost h=new ServiceHost(typeof(DemoService)))
            {
                try
                {
                    h.Open();
                    Console.WriteLine("server started.");
                }
                catch(Exception ex)
                {
                    Console.WriteLine(ex.Message);
                }

                Console.Read();
            }
        }
    }

    [ServiceBehavior(ConfigurationName = "sv")]
    public class DemoService : CommonContracts.IAddCompute, CommonContracts.ISubCompute
    {
        public int Add(int x, int y)
        {
            return x + y;
        }

        public int Sub(int x, int y)
        {
            return x - y;
        }
    }
}
